Subject: Re: bug#34402: Inferior channel (I believe 'inferior-for-channels' function specifically) sometimes fails

From: Ludovic Courtès <[email-masked]>
Date: Sat, 09 Feb 2019 15:12:24 +0100

Hello,

<[email-masked]> skribis:

> Often I'll get this output when building a manifest* with an inferior:
>
> ```
> itsme@antelope /tmp$ guix package -n -m example-inferior.scm 
> Updating channel 'guix' from Git repository at 'https://git.savannah.gnu.org/git/guix.git'...
> guix package: error: failed to load 'example-inferior.scm':
> ```

There’s nothing following the colon above?

> I believe this is the 'inferior-for-channels' function that fails.
>
> After investigating a while back, it seems removing the relevant checkout in ~/.cache/guix/checkouts temporarily fixes it, but the issue often comes back.

I wonder if it could be <https://issues.guix.info/issue/34016>, though
I’ve never experienced it in ~/.cache/guix, despite using ‘guix pull’ &
co. a lot.

Next time this happens, could you run:

  strace -s 100 -o log guix package -n -m example-inferior.scm

and post the last few hundred lines of ‘log’?

Thanks,
Ludo’.